---
title: "Yad2 API: Filters | Perceptlayer"
description: "Filters from Yad2 as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/yad2/filters
---

[APIs](https://perceptlayer.com/apis) / [Yad2](https://perceptlayer.com/apis/yad2) / Filters

# Yad2: Filters

Filters from Yad2 as JSON. 1 credit per successful call.

GET `/v1/yad2/filters`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `deal` | string | Required | forsale, rent |
| `fields` | string | Optional | Up to 300 characters |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/yad2/filters?deal=forsale&fields=city%2Carea%2Cproperty%2Crooms" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/yad2?try=filters#playground) with your own parameters. 1 credit per successful call; failed calls are free.
